<?xml version="1.0"?><Report xmlns="http://schemas.microsoft.com/sqlserver/reporting/2005/01/reportdefinition" xmlns:rd="http://schemas.microsoft.com/SQLServer/reporting/reportdesigner"><DataSources><DataSource Name="CRM"><ConnectionProperties><IntegratedSecurity>true</IntegratedSecurity><ConnectString>data source=localhost;initial catalog=Adventure_Works_Cycle_MSCRM</ConnectString><DataProvider>SQL</DataProvider></ConnectionProperties><rd:DataSourceID>05ddfd4d-9c76-4724-9731-e23b1c5b9e0f</rd:DataSourceID></DataSource></DataSources><BottomMargin>0.5in</BottomMargin><RightMargin>0.5in</RightMargin><PageWidth>11in</PageWidth><ReportParameters><ReportParameter Name="CRM_HGroupby1"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_HGroupby1</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_VGroupby1"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_VGroupby1</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_HGroupby2"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_HGroupby2</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_VGroupby2"><DataType>String</DataType><AllowBlank>true</AllowBlank><Prompt>CRM_VGroupby2</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_ParamHGroupby1"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><Values><Value>none</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_ParamHGroupby1</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_ParamHGroupby2"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><Values><Value>none</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_ParamHGroupby2</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_ParamVGroupby1"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><Values><Value>none</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_ParamVGroupby1</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_ParamVGroupby2"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><Values><Value>none</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_ParamVGroupby2</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_SortField"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><Values><Value>title</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_SortField</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_SortDirection"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><Values><Value>Descending</Value></Values></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_SortDirection</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_FilterText"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_FilterText</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_FullName"><DataType>String</DataType><Nullable>true</Nullable><DefaultValue><DataSetReference><DataSetName>UserInfo</DataSetName><ValueField>fullname</ValueField></DataSetReference></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_FullName</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_URL"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_URL</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_FilteredIncident"><DataType>String</DataType><Nullable>true</Nullable><AllowBlank>true</AllowBlank><Prompt>CRM_FilteredIncident</Prompt><DefaultValue><Values><Value>select  [incident0].*  from  FilteredIncident as "incident0" join (select top 1 dbo.fn_BeginOfLastXDay(GetUTCDate(), 30) as modifiedon1,GetUTCDate() as modifiedon2 order by modifiedon1,modifiedon2) as modifiedondtc on 1=1  where  ( incident0.modifiedonutc &gt;= modifiedondtc.modifiedon1 and incident0.modifiedonutc &lt;= modifiedondtc.modifiedon2 )</Value></Values></DefaultValue><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_NumberLanguageCode"><DataType>String</DataType><DefaultValue><DataSetReference><DataSetName>DSDSNumandCurrency</DataSetName><ValueField>NumberLanguageCode</ValueField></DataSetReference></DefaultValue><AllowBlank>true</AllowBlank><Prompt>CRM_NumberLanguageCode</Prompt><Hidden>true</Hidden></ReportParameter><ReportParameter Name="CRM_CalendarType"><DataType>String</DataType><DefaultValue><DataSetReference><DataSetName>DSDSNumandCurrency</DataSetName><ValueField>CalendarType</ValueField></DataSetReference></DefaultValue><Prompt>CRM_CalendarType</Prompt><Hidden>true</Hidden></ReportParameter></ReportParameters><rd:DrawGrid>true</rd:DrawGrid><InteractiveWidth>8.5in</InteractiveWidth><rd:GridSpacing>0.03125in</rd:GridSpacing><rd:SnapToGrid>true</rd:SnapToGrid><Body><ReportItems><Rectangle Name="rectangle1"><ReportItems><Textbox Name="txtNoData"><Left>5.8125in</Left><Top>0.5625in</Top><ZIndex>5</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>1.25in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.15625in</Height><Value>No Case Data</Value></Textbox><Textbox Name="txtReportHeaderLabel"><Left>0.15625in</Left><Top>0.0625in</Top><ZIndex>4</ZIndex><Width>6.21875in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>14pt</FontSize><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.34375in</Height><Value>Case Summary Detail</Value></Textbox><Textbox Name="txtNotSpecified"><Left>4.53125in</Left><Top>0.625in</Top><ZIndex>3</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>1in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.25in</Height><Value>Not Specified</Value></Textbox><Textbox Name="txtDateTimeFormat"><Left>1.625in</Left><ZIndex>2</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>1.4375in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontSize>8pt</FontSize><Calendar>=Parameters!CRM_CalendarType.Value</Calendar><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.1875in</Height><Value>=First(Fields!DateFormat.Value, "DSDSNumandCurrency") &amp; " " &amp; First(Fields!TimeFormat.Value, "DSDSNumandCurrency")</Value></Textbox><Textbox Name="txtfullname"><Left>1.28125in</Left><ZIndex>1</ZIndex><Visibility><Hidden>true</Hidden></Visibility><Width>1.25in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontSize>8pt</FontSize><BackgroundColor>Yellow</BackgroundColor><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.1875in</Height><Value>=First(Fields!fullname.Value, "UserInfo")</Value></Textbox><Rectangle Name="rectangle4"><ReportItems><Textbox Name="txtFilterSummaryValue"><Left>0.15625in</Left><Top>0.34375in</Top><ZIndex>1</ZIndex><Visibility><ToggleItem>txtFilterSummary</ToggleItem><Hidden>true</Hidden></Visibility><Width>3.53125in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#313336</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.25in</Height><Value>=Parameters!CRM_FilterText.Value</Value></Textbox><Textbox Name="txtFilterSummary"><Left>0.125in</Left><Width>3.53125in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>12pt</FontSize><Color>#313336</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.25in</Height><Value>Filter Summary</Value></Textbox></ReportItems><Top>0.6875in</Top><Visibility><Hidden>=IIF(IsNothing(Parameters!CRM_FilterText.Value ) or ( Parameters!CRM_FilterText.Value ) = "" or (Parameters!CRM_FilterText.Value) = " ", True, False)</Hidden></Visibility><Width>9.95in</Width><Style><BackgroundColor>#deddcf</BackgroundColor></Style></Rectangle></ReportItems><ZIndex>1</ZIndex><Style><BackgroundColor>#deddcf</BackgroundColor></Style><Height>1.375in</Height></Rectangle><Table Name="table1"><NoRows>=ReportItems!txtNoData.Value</NoRows><DataElementOutput>Output</DataElementOutput><DataSetName>DSCases</DataSetName><Top>1.4375in</Top><Width>9.9925in</Width><Details><TableRows><TableRow><TableCells><TableCell><ReportItems><Textbox Name="textbox96"><ZIndex>11</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value /></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="ticketnumber_1"><rd:DefaultName>ticketnumber_1</rd:DefaultName><ZIndex>10</ZIndex><Action><Hyperlink>=IIF(IsNothing(Parameters!CRM_URL.Value),system.dbnull.value,Parameters!CRM_URL.Value &amp; "?ID={"&amp; Fields!incidentid.Value.ToString()&amp;"}&amp;OTC=112")</Hyperlink></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!ticketnumber.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox10"><rd:DefaultName>textbox10</rd:DefaultName><ZIndex>9</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value /></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox33"><ZIndex>8</ZIndex><Action><Hyperlink>=IIF(IsNothing(Parameters!CRM_URL.Value),system.dbnull.value,Parameters!CRM_URL.Value &amp; "?ID={"&amp; Fields!incidentid.Value.ToString()&amp;"}&amp;OTC=112")</Hyperlink></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!title.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox65"><ZIndex>7</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value /></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox34"><ZIndex>6</ZIndex><Action><Hyperlink>=IIF(IsNothing(Parameters!CRM_URL.Value),system.dbnull.value,IIF( Fields!customeridtype.Value = 1, Parameters!CRM_URL.Value &amp; "?ID={"&amp; Fields!customerid.Value.ToString()&amp;"}&amp;OTC=1" , Parameters!CRM_URL.Value &amp; "?ID={"&amp; Fields!customerid.Value.ToString()&amp;"}&amp;OTC=2" ))</Hyperlink></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>= Fields!customeridname.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox68"><ZIndex>5</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value /></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox35"><ZIndex>4</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!subjectidname.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox70"><ZIndex>3</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value /></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox36"><ZIndex>2</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!statuscodename.Value</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox72"><ZIndex>1</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value /></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox37"><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>White</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Fields!owneridname.Value</Value></Textbox></ReportItems></TableCell></TableCells><Height>0.25in</Height></TableRow></TableRows><Sorting><SortBy><SortExpression>=IIF(Parameters!CRM_SortDirection.Value="Ascending", Fields(Parameters!CRM_SortField.Value).Value, "")</SortExpression><Direction>Ascending</Direction></SortBy><SortBy><SortExpression>=IIF(Parameters!CRM_SortDirection.Value="Descending", Fields(Parameters!CRM_SortField.Value).Value, "")</SortExpression><Direction>Descending</Direction></SortBy></Sorting></Details><Style><FontFamily>tahoma</FontFamily><FontSize>8pt</FontSize></Style><Header><TableRows><TableRow><TableCells><TableCell><ReportItems><Textbox Name="textbox95"><ZIndex>23</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>symbol</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Microsoft.Crm.Reporting.RdlHelper.ReportUtility.GetArrow(Parameters!CRM_SortField.Value,"ticketnumber", Parameters!CRM_SortDirection.Value)</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtTable1CaseNumber"><ZIndex>22</ZIndex><Action><Drillthrough><ReportName>1033{33505EB7-4DB4-49E6-9BF5-288721081FE4}</ReportName><Parameters><Parameter Name="CRM_HGroupby1"><Value>= Parameters!CRM_HGroupby1.Value</Value></Parameter><Parameter Name="CRM_VGroupby1"><Value>= Parameters!CRM_VGroupby1.Value</Value></Parameter><Parameter Name="CRM_HGroupby2"><Value>= Parameters!CRM_HGroupby2.Value</Value></Parameter><Parameter Name="CRM_VGroupby2"><Value>= Parameters!CRM_VGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby1"><Value>= Parameters!CRM_ParamHGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby1"><Value>= Parameters!CRM_ParamVGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby2"><Value>= Parameters!CRM_ParamHGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby2"><Value>= Parameters!CRM_ParamVGroupby2.Value</Value></Parameter><Parameter Name="CRM_SortField"><Value>ticketnumber</Value></Parameter><Parameter Name="CRM_SortDirection"><Value>=IIF(Parameters!CRM_SortField.Value="ticketnumber" And Parameters!CRM_SortDirection.Value = "Ascending", "Descending", "Ascending")</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>= Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_FilteredIncident"><Value>= Parameters!CRM_FilteredIncident.Value</Value></Parameter></Parameters></Drillthrough></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Case Number</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox8"><rd:DefaultName>textbox8</rd:DefaultName><ZIndex>21</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>symbol</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Microsoft.Crm.Reporting.RdlHelper.ReportUtility.GetArrow(Parameters!CRM_SortField.Value,"title", Parameters!CRM_SortDirection.Value)</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtTable1Title"><ZIndex>20</ZIndex><Action><Drillthrough><ReportName>1033{33505EB7-4DB4-49E6-9BF5-288721081FE4}</ReportName><Parameters><Parameter Name="CRM_HGroupby1"><Value>= Parameters!CRM_HGroupby1.Value</Value></Parameter><Parameter Name="CRM_VGroupby1"><Value>= Parameters!CRM_VGroupby1.Value</Value></Parameter><Parameter Name="CRM_HGroupby2"><Value>= Parameters!CRM_HGroupby2.Value</Value></Parameter><Parameter Name="CRM_VGroupby2"><Value>= Parameters!CRM_VGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby1"><Value>= Parameters!CRM_ParamHGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby1"><Value>= Parameters!CRM_ParamVGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby2"><Value>= Parameters!CRM_ParamHGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby2"><Value>= Parameters!CRM_ParamVGroupby2.Value</Value></Parameter><Parameter Name="CRM_SortField"><Value>title</Value></Parameter><Parameter Name="CRM_SortDirection"><Value>=IIF(Parameters!CRM_SortField.Value="title" And Parameters!CRM_SortDirection.Value = "Ascending", "Descending", "Ascending")</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>= Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_FilteredIncident"><Value>= Parameters!CRM_FilteredIncident.Value</Value></Parameter></Parameters></Drillthrough></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Title</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox64"><ZIndex>19</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>symbol</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Microsoft.Crm.Reporting.RdlHelper.ReportUtility.GetArrow(Parameters!CRM_SortField.Value,"customeridname", Parameters!CRM_SortDirection.Value)</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtTable1Customer"><ZIndex>18</ZIndex><Action><Drillthrough><ReportName>1033{33505EB7-4DB4-49E6-9BF5-288721081FE4}</ReportName><Parameters><Parameter Name="CRM_HGroupby1"><Value>= Parameters!CRM_HGroupby1.Value</Value></Parameter><Parameter Name="CRM_VGroupby1"><Value>= Parameters!CRM_VGroupby1.Value</Value></Parameter><Parameter Name="CRM_HGroupby2"><Value>= Parameters!CRM_HGroupby2.Value</Value></Parameter><Parameter Name="CRM_VGroupby2"><Value>= Parameters!CRM_VGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby1"><Value>= Parameters!CRM_ParamHGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby1"><Value>= Parameters!CRM_ParamVGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby2"><Value>= Parameters!CRM_ParamHGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby2"><Value>= Parameters!CRM_ParamVGroupby2.Value</Value></Parameter><Parameter Name="CRM_SortField"><Value>customeridname</Value></Parameter><Parameter Name="CRM_SortDirection"><Value>=IIF(Parameters!CRM_SortField.Value="customeridname" And Parameters!CRM_SortDirection.Value = "Ascending", "Descending", "Ascending")</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>= Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_FilteredIncident"><Value>= Parameters!CRM_FilteredIncident.Value</Value></Parameter></Parameters></Drillthrough></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Customer</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox66"><ZIndex>17</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>symbol</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Microsoft.Crm.Reporting.RdlHelper.ReportUtility.GetArrow(Parameters!CRM_SortField.Value,"subjectidname", Parameters!CRM_SortDirection.Value)</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtTable1Subject"><ZIndex>16</ZIndex><Action><Drillthrough><ReportName>1033{33505EB7-4DB4-49E6-9BF5-288721081FE4}</ReportName><Parameters><Parameter Name="CRM_HGroupby1"><Value>= Parameters!CRM_HGroupby1.Value</Value></Parameter><Parameter Name="CRM_VGroupby1"><Value>= Parameters!CRM_VGroupby1.Value</Value></Parameter><Parameter Name="CRM_HGroupby2"><Value>= Parameters!CRM_HGroupby2.Value</Value></Parameter><Parameter Name="CRM_VGroupby2"><Value>= Parameters!CRM_VGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby1"><Value>= Parameters!CRM_ParamHGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby1"><Value>= Parameters!CRM_ParamVGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby2"><Value>= Parameters!CRM_ParamHGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby2"><Value>= Parameters!CRM_ParamVGroupby2.Value</Value></Parameter><Parameter Name="CRM_SortField"><Value>subjectidname</Value></Parameter><Parameter Name="CRM_SortDirection"><Value>=IIF(Parameters!CRM_SortField.Value="subjectidname" And Parameters!CRM_SortDirection.Value = "Ascending", "Descending", "Ascending")</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>= Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_FilteredIncident"><Value>= Parameters!CRM_FilteredIncident.Value</Value></Parameter></Parameters></Drillthrough></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Subject</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox69"><ZIndex>15</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>symbol</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Microsoft.Crm.Reporting.RdlHelper.ReportUtility.GetArrow(Parameters!CRM_SortField.Value,"statuscodename", Parameters!CRM_SortDirection.Value)</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtTable1StatusReason"><ZIndex>14</ZIndex><Action><Drillthrough><ReportName>1033{33505EB7-4DB4-49E6-9BF5-288721081FE4}</ReportName><Parameters><Parameter Name="CRM_HGroupby1"><Value>= Parameters!CRM_HGroupby1.Value</Value></Parameter><Parameter Name="CRM_VGroupby1"><Value>= Parameters!CRM_VGroupby1.Value</Value></Parameter><Parameter Name="CRM_HGroupby2"><Value>= Parameters!CRM_HGroupby2.Value</Value></Parameter><Parameter Name="CRM_VGroupby2"><Value>= Parameters!CRM_VGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby1"><Value>= Parameters!CRM_ParamHGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby1"><Value>= Parameters!CRM_ParamVGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby2"><Value>= Parameters!CRM_ParamHGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby2"><Value>= Parameters!CRM_ParamVGroupby2.Value</Value></Parameter><Parameter Name="CRM_SortField"><Value>statuscodename</Value></Parameter><Parameter Name="CRM_SortDirection"><Value>=IIF(Parameters!CRM_SortField.Value="statuscodename" And Parameters!CRM_SortDirection.Value = "Ascending", "Descending", "Ascending")</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>= Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_FilteredIncident"><Value>= Parameters!CRM_FilteredIncident.Value</Value></Parameter></Parameters></Drillthrough></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Status Reason</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="textbox71"><ZIndex>13</ZIndex><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>symbol</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>=Microsoft.Crm.Reporting.RdlHelper.ReportUtility.GetArrow(Parameters!CRM_SortField.Value,"owneridname", Parameters!CRM_SortDirection.Value)</Value></Textbox></ReportItems></TableCell><TableCell><ReportItems><Textbox Name="txtTable1Owner"><ZIndex>12</ZIndex><Action><Drillthrough><ReportName>1033{33505EB7-4DB4-49E6-9BF5-288721081FE4}</ReportName><Parameters><Parameter Name="CRM_HGroupby1"><Value>= Parameters!CRM_HGroupby1.Value</Value></Parameter><Parameter Name="CRM_VGroupby1"><Value>= Parameters!CRM_VGroupby1.Value</Value></Parameter><Parameter Name="CRM_HGroupby2"><Value>= Parameters!CRM_HGroupby2.Value</Value></Parameter><Parameter Name="CRM_VGroupby2"><Value>= Parameters!CRM_VGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby1"><Value>= Parameters!CRM_ParamHGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby1"><Value>= Parameters!CRM_ParamVGroupby1.Value</Value></Parameter><Parameter Name="CRM_ParamHGroupby2"><Value>= Parameters!CRM_ParamHGroupby2.Value</Value></Parameter><Parameter Name="CRM_ParamVGroupby2"><Value>= Parameters!CRM_ParamVGroupby2.Value</Value></Parameter><Parameter Name="CRM_SortField"><Value>owneridname</Value></Parameter><Parameter Name="CRM_SortDirection"><Value>=IIF(Parameters!CRM_SortField.Value="owneridname" And Parameters!CRM_SortDirection.Value = "Ascending", "Descending", "Ascending")</Value></Parameter><Parameter Name="CRM_FilterText"><Value>= Parameters!CRM_FilterText.Value</Value></Parameter><Parameter Name="CRM_URL"><Value>= Parameters!CRM_URL.Value</Value></Parameter><Parameter Name="CRM_FilteredIncident"><Value>= Parameters!CRM_FilteredIncident.Value</Value></Parameter></Parameters></Drillthrough></Action><Style><BorderStyle><Bottom>Solid</Bottom></BorderStyle><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><BorderColor><Default>#adadad</Default></BorderColor><BackgroundColor>#e9e9e9</BackgroundColor><Color>#122a49</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Value>Owner</Value></Textbox></ReportItems></TableCell></TableCells><Height>0.25in</Height></TableRow></TableRows></Header><TableColumns><TableColumn><Width>0.1875in</Width></TableColumn><TableColumn><Width>1.68in</Width></TableColumn><TableColumn><Width>0.1875in</Width></TableColumn><TableColumn><Width>1.46875in</Width></TableColumn><TableColumn><Width>0.1875in</Width></TableColumn><TableColumn><Width>1.5in</Width></TableColumn><TableColumn><Width>0.1875in</Width></TableColumn><TableColumn><Width>1.4375in</Width></TableColumn><TableColumn><Width>0.1875in</Width></TableColumn><TableColumn><Width>1.3125in</Width></TableColumn><TableColumn><Width>0.1875in</Width></TableColumn><TableColumn><Width>1.46875in</Width></TableColumn></TableColumns><Height>0.5in</Height></Table></ReportItems><Height>2in</Height></Body><rd:ReportID>9001b3e4-a23b-44d7-bb1e-8ef5de5f94f3</rd:ReportID><LeftMargin>0.5in</LeftMargin><DataSets><DataSet Name="UserInfo"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>select fullname from FilteredSystemUser where systemuserid = dbo.fn_FindUserGuid()</CommandText><DataSourceName>CRM</DataSourceName></Query><Fields><Field Name="fullname"><rd:TypeName>System.String</rd:TypeName><DataField>fullname</DataField></Field></Fields></DataSet><DataSet Name="DSCases"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>Declare @SQL nvarchar(max)
Declare @HStr1 nvarchar(max)
Declare @VStr1 nvarchar(max)
Declare @HStr2 nvarchar(max)
Declare @VStr2 nvarchar(max)

If  @CRM_ParamHGroupby1 = '%'
set @HStr1 = ' Where 1=1 '
else if @CRM_ParamHGroupby1 = '_CRM_NOTSPECIFIED'
set @HStr1 = ' Where (HGroupby1 is null ) '
else 
set @HStr1 = 'Where (Cast(HGroupby1 as nVarchar(100)) = ''' + @CRM_ParamHGroupby1 + ''' ) '

If @CRM_ParamVGroupby1 = '%'
set @VStr1 = ''
else if @CRM_ParamVGroupby1 = '_CRM_NOTSPECIFIED'
set @VStr1 = ' and (VGroupby1 is null ) '
else 
set @VStr1 = 'and (Cast(VGroupby1 as nVarchar(100)) = ''' + @CRM_ParamVGroupby1 + ''' )'

If @CRM_HGroupby2 = 'Null' or @CRM_ParamHGroupby2 = '%'
set @HStr2 = ''
else if @CRM_ParamHGroupby2 = '_CRM_NOTSPECIFIED'
set @HStr2 = ' and (HGroupby2 is null ) '
else 
set @HStr2 = 'and (Cast(HGroupby2 as nVarchar(100)) = ''' + @CRM_ParamHGroupby2 + ''' )'

If @CRM_VGroupby2 = 'Null' or @CRM_ParamVGroupby2 = '%'
set @VStr2 = ''
else if @CRM_ParamVGroupby2 = '_CRM_NOTSPECIFIED'
set @VStr2 = ' and (VGroupby2 is null ) '
else 
set @VStr2 = 'and (Cast(VGroupby2 as nVarchar(100)) = ''' + @CRM_ParamVGroupby2 + ''' )'


SET @SQL = '
SELECT * FROM (
SELECT  ' + @CRM_HGroupby1 + ' as HGroupby1 ,
    ' + @CRM_HGroupby2 + ' as HGroupby2 ,
    ' + @CRM_VGroupby1 + ' as VGroupby1 ,
    ' + @CRM_VGroupby2 + ' as VGroupby2 ,   
    statuscodename , prioritycodename , cast( incidentid as nvarchar(100) ) as incidentid , owneridname , 
    subjectidname , productidname , customeridname, customerid, customeridtype,
    caseorigincode , casetypecodename , customersatisfactioncodename , contractservicelevelcode , 
    severitycode , title, ticketnumber
        
FROM  (' + @CRM_FilteredIncident + ') AS fi 
) AS QQ ' + @HStr1 + @VStr1 + @HStr2 + @VStr2 
        
EXEC(@SQL)

</CommandText><QueryParameters><QueryParameter Name="@CRM_HGroupby2"><Value>=Parameters!CRM_HGroupby2.Value</Value></QueryParameter><QueryParameter Name="@CRM_ParamHGroupby2"><Value>=Parameters!CRM_ParamHGroupby2.Value</Value></QueryParameter><QueryParameter Name="@CRM_VGroupby2"><Value>=Parameters!CRM_VGroupby2.Value</Value></QueryParameter><QueryParameter Name="@CRM_ParamVGroupby2"><Value>=Parameters!CRM_ParamVGroupby2.Value</Value></QueryParameter><QueryParameter Name="@CRM_HGroupby1"><Value>=Parameters!CRM_HGroupby1.Value</Value></QueryParameter><QueryParameter Name="@CRM_VGroupby1"><Value>=Parameters!CRM_VGroupby1.Value</Value></QueryParameter><QueryParameter Name="@CRM_ParamHGroupby1"><Value>=Parameters!CRM_ParamHGroupby1.Value</Value></QueryParameter><QueryParameter Name="@CRM_ParamVGroupby1"><Value>=Parameters!CRM_ParamVGroupby1.Value</Value></QueryParameter><QueryParameter Name="@CRM_FilteredIncident"><Value>=Parameters!CRM_FilteredIncident.Value</Value></QueryParameter></QueryParameters><DataSourceName>CRM</DataSourceName></Query><Fields><Field Name="HGroupby1"><rd:TypeName>System.String</rd:TypeName><DataField>HGroupby1</DataField></Field><Field Name="HGroupby2"><rd:TypeName>System.String</rd:TypeName><DataField>HGroupby2</DataField></Field><Field Name="VGroupby1"><rd:TypeName>System.String</rd:TypeName><DataField>VGroupby1</DataField></Field><Field Name="VGroupby2"><rd:TypeName>System.String</rd:TypeName><DataField>VGroupby2</DataField></Field><Field Name="statuscodename"><rd:TypeName>System.String</rd:TypeName><DataField>statuscodename</DataField></Field><Field Name="prioritycodename"><rd:TypeName>System.String</rd:TypeName><DataField>prioritycodename</DataField></Field><Field Name="incidentid"><rd:TypeName>System.String</rd:TypeName><DataField>incidentid</DataField></Field><Field Name="owneridname"><rd:TypeName>System.String</rd:TypeName><DataField>owneridname</DataField></Field><Field Name="subjectidname"><rd:TypeName>System.String</rd:TypeName><DataField>subjectidname</DataField></Field><Field Name="productidname"><rd:TypeName>System.String</rd:TypeName><DataField>productidname</DataField></Field><Field Name="customeridname"><rd:TypeName>System.String</rd:TypeName><DataField>customeridname</DataField></Field><Field Name="customerid"><rd:TypeName>System.Guid</rd:TypeName><DataField>customerid</DataField></Field><Field Name="customeridtype"><rd:TypeName>System.Int32</rd:TypeName><DataField>customeridtype</DataField></Field><Field Name="caseorigincode"><rd:TypeName>System.Int32</rd:TypeName><DataField>caseorigincode</DataField></Field><Field Name="casetypecodename"><rd:TypeName>System.String</rd:TypeName><DataField>casetypecodename</DataField></Field><Field Name="customersatisfactioncodename"><rd:TypeName>System.String</rd:TypeName><DataField>customersatisfactioncodename</DataField></Field><Field Name="contractservicelevelcode"><rd:TypeName>System.Int32</rd:TypeName><DataField>contractservicelevelcode</DataField></Field><Field Name="severitycode"><rd:TypeName>System.Int32</rd:TypeName><DataField>severitycode</DataField></Field><Field Name="title"><rd:TypeName>System.String</rd:TypeName><DataField>title</DataField></Field><Field Name="ticketnumber"><rd:TypeName>System.String</rd:TypeName><DataField>ticketnumber</DataField></Field></Fields></DataSet><DataSet Name="DSDSNumandCurrency"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>select * from dbo.fn_GetFormatStrings()</CommandText><DataSourceName>CRM</DataSourceName></Query><Fields><Field Name="DateFormat"><rd:TypeName>System.String</rd:TypeName><DataField>DateFormat</DataField></Field><Field Name="TimeFormat"><rd:TypeName>System.String</rd:TypeName><DataField>TimeFormat</DataField></Field><Field Name="NumberLanguageCode"><rd:TypeName>System.String</rd:TypeName><DataField>NumberLanguageCode</DataField></Field><Field Name="CalendarType"><rd:TypeName>System.String</rd:TypeName><DataField>CalendarType</DataField></Field><Field Name="NumberFormat_0_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_0_Precision</DataField></Field><Field Name="NumberFormat_1_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_1_Precision</DataField></Field><Field Name="NumberFormat_2_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_2_Precision</DataField></Field><Field Name="NumberFormat_3_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_3_Precision</DataField></Field><Field Name="NumberFormat_4_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_4_Precision</DataField></Field><Field Name="NumberFormat_5_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>NumberFormat_5_Precision</DataField></Field><Field Name="CurrencyFormat_0_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_0_Precision</DataField></Field><Field Name="CurrencyFormat_1_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_1_Precision</DataField></Field><Field Name="CurrencyFormat_2_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_2_Precision</DataField></Field><Field Name="CurrencyFormat_3_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_3_Precision</DataField></Field><Field Name="CurrencyFormat_4_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_4_Precision</DataField></Field><Field Name="CurrencyFormat_5_Precision"><rd:TypeName>System.String</rd:TypeName><DataField>CurrencyFormat_5_Precision</DataField></Field></Fields></DataSet><DataSet Name="DSUserSettings"><Query><rd:UseGenericDesigner>true</rd:UseGenericDesigner><CommandText>Select TimeZoneBias from FilteredUserSettings where systemuserid = dbo.fn_FindUserGuid()</CommandText><DataSourceName>CRM</DataSourceName></Query><Fields><Field Name="TimeZoneBias"><rd:TypeName>System.Int32</rd:TypeName><DataField>TimeZoneBias</DataField></Field></Fields></DataSet></DataSets><Width>10in</Width><InteractiveHeight>11in</InteractiveHeight><Language>=Parameters!CRM_NumberLanguageCode.Value</Language><PageFooter><ReportItems><Textbox Name="txtPageCount"><Left>6.5in</Left><Top>0.04125in</Top><ZIndex>2</ZIndex><Width>2.09375in</Width><Style><TextAlign>Right</TextAlign><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>=String.Format("Page {0} of {1}", Format(Globals!PageNumber, "#,##0"), Format(Globals!TotalPages, "#,##0"))</Value></Textbox><Textbox Name="txtUserIDLabel"><Left>3.09375in</Left><Top>0.04125in</Top><ZIndex>1</ZIndex><Width>2.5625in</Width><Style><TextAlign>Center</TextAlign><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>="Prepared by" &amp; ": " &amp; Parameters!CRM_FullName.Value</Value></Textbox><Textbox Name="txtExecutionDateTimeLabel"><Left>0.15625in</Left><Top>0.04125in</Top><Width>1.84375in</Width><Style><PaddingLeft>2pt</PaddingLeft><PaddingBottom>2pt</PaddingBottom><FontFamily>tahoma</FontFamily><FontWeight>700</FontWeight><FontSize>8pt</FontSize><Calendar>=Parameters!CRM_CalendarType.Value</Calendar><Format>=ReportItems!txtDateTimeFormat.Value</Format><Color>#666666</Color><PaddingRight>2pt</PaddingRight><PaddingTop>2pt</PaddingTop></Style><CanGrow>true</CanGrow><Height>0.21875in</Height><Value>=Microsoft.Crm.Reporting.RdlHelper.DateTimeUtility.GetCurrentZoneTime(First(Fields!TimeZoneBias.Value,"DSUserSettings"))</Value></Textbox></ReportItems><Height>0.375in</Height><PrintOnLastPage>true</PrintOnLastPage><PrintOnFirstPage>true</PrintOnFirstPage><Style><BackgroundColor>#deddcf</BackgroundColor></Style></PageFooter><TopMargin>0.5in</TopMargin><PageHeight>8.25in</PageHeight><CodeModules><CodeModule>Microsoft.Crm.Reporting.RdlHelper, Version=5.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35</CodeModule></CodeModules></Report>